Author Topic: IAR EWARM 5.11  (Read 15538 times)

Offline beethoven62

  • Newbie
  • *
  • Posts: 11
    • View Profile
IAR EWARM 5.11
« on: November 20, 2008, 08:04:33 PM »
Hi all,

I'm trying to compile and run uTasker using IAR's Embedded Workbench v. 5.11. When I compile the project downloaded as is, I get a number or errors related to the fact that it was written for v. 4.x (e.g. RSEG assembler directive removed in v. 5.x). It seems that there are several steps to modifying the CStartup file and possibly other files. Does anyone have the modified files for uTasker or can someone give me a step-by-step method of modifying the downloaded code (targeted for EWARM 4.x) to compile under EWARM 5.11? I tried making the modifications myself. I got it to compile, but when I load it into the target board (AT91SAM7X-EK), I cannot seem to communicate with it via ethernet.

Thanks for any help you can give me.

Offline mark

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 3238
    • View Profile
    • uTasker
Re: IAR EWARM 5.11
« Reply #1 on: November 20, 2008, 08:18:31 PM »
Hi

The IAR project is for IAR4. Unfortunately IAR released the IAR5 version which is not compatible - there are a lot of differences (assembler, linker and some C-stuff, including start-up).
See the following for a few extra details:
http://www.utasker.com/forum/index.php?topic=244.0

Porting to the IAR5 project is something which is still outstanding.

You may like to compile using GNU (unfortunately IAR has also removed the IAR4 versions from its download site), or Rowley. The Rowley evaluation will allow also full debugging etc. and supports just about all Jtag-debuggers under the sun.

If you are feeling brave, you may be able to identify the missing steps to getting your IAR5 project to run (see the previous post link for some ideas).

I have installed the IAR5 evaluation version so will try to get a solution as soon as time permits.

Regards

Mark

Offline mark

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 3238
    • View Profile
    • uTasker
Re: IAR EWARM 5.11
« Reply #2 on: March 02, 2009, 02:44:04 PM »
Hi All

To follow up on this - SP4 now contains IAR5 support.

Regards

Mark